# Git snapshot af85267837e7447437805edc4e1da92978a1e667

%define major	1
%define libname	%mklibname ringclient %{major}
%define devname	%mklibname ringclient -d

Name:		libringclient
Version:	1.0.0
Release:	%mkrel 3
Summary:	Mirror of Gerrit Ring LRC Library
Group:		System/Libraries
License:	GPLv3+
Url:		http://ring.cx/
Source:		https://github.com/savoirfairelinux/ring-lrc/archive/%{version}/ring-lrc-%{version}.tar.gz
Patch0:		ring-lrc-1.0.0-soversion.patch
ExcludeArch:	armv5tl
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)

BuildRequires:	restbed-devel
BuildRequires:	ring-daemon-devel

%description
libringclient is a client library for GNU Ring.
Client communication library for ring.cx (formerly known as SFLphone).

#------------------------------------------------

%package	i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
Internationalization and locale data for %{name}.

#------------------------------------------------

%package -n	%{libname}
Summary:	Mirror of Gerrit Ring LRC Library
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n	%{libname}
Mirror of Gerrit Ring LRC Library.

#------------------------------------------------

%package -n	%{devname}
Group:		Development/Other
Summary:	Development files for %{name}
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ringclient-devel = %{version}-%{release}
Provides:	ring-lrc-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%setup -qn ring-lrc-%{version}
%autopatch -p1

%build
%cmake_qt5 \
	-DENABLE_VIDEO=ON

%make_build

%install
%make_install -C build

%files i18n
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/%{name}/translations/*.qm

%files -n %{libname}
%{_libdir}/libringclient.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/cmake/LibRingClient/
%{_libdir}/libringclient.so


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 1.0.0-3.mga6
+ Revision: 1079868
- rebuild against fixed restbed

* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 1079679
- do not build on armv5tl

* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-1.mga6
+ Revision: 1079651
- initial package libringclient

